
Pre-Development - Bug #19667

FE - React - All model abstract bean class

06 February 2024 02:09 PM - chok yee fan

Status: Closed Start date: 06 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

Not all model class have to use abstract class.

expected

-----

all model class have to use abstract class, now only Organisation.tsx, Department.tsx not same with other.

rename the file name from

src/shared/model/index.tsx

to

src/shared/model/abstractModel.tsx

History

#1 - 07 February 2024 10:59 AM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Bug #19667:

- Rename */model/index.tsx to */model/abstractModel.tsx

- Apply abstract bean class to all classes

- Update fields for some types in *.tsx classes

- Update *.api.tsx files with missing types for defining builder.mutation

- Update *Form.tsx pages using new updated classes

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/aab330afedb214f5d1ce9ec6e4cdceb15381d896

#2 - 07 February 2024 02:29 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

1) Check for the file had been rename to */model/abstractModel.tsx

2) Check for all class the abstract bean had been add

3) Check for request payload for all module except for Organisation and Department

#3 - 07 February 2024 03:23 PM - chok yee fan

- Status changed from Feedback to Closed
https://dev.silverlakemobility.com/redmine/issues/19667
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/aab330afedb214f5d1ce9ec6e4cdceb15381d896


checked all using the abstract class
